Link detection in RichTextView detects empty area as link
Description

I think link detection in RichTextView has got one minor issue. It detects empty area (left margin) as regular link. More information about

this areas you can find on image included to this topic.

History

#1 - 09/05/2014 03:33 PM - Zbigniew Rebacz

- File deleted (RichTectViewLinkDetectionIssue.png)

#2 - 09/05/2014 03:33 PM - Zbigniew Rebacz

- File RichTectViewLinkDetectionIssue.png added

#3 - 09/06/2014 07:11 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#4 - 09/07/2014 01:37 PM - Zbigniew Rebacz

- Status changed from Ready for QA to In Progress

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

It works perfect, but I have got ide compilation issue:

uppsrc/Core/Diag.h:88:26: error: stray ‘@’ in program

 #define DDUMP(x)         @

                          ^

/home/klugier/upp/uppsrc/CtrlLib/RichTextView.cpp:161:3: note: in expansion of macro ‘DDUMP’

   DDUMP(rc);

   ^

uppsrc/Core/Diag.h:88:26: error: stray ‘@’ in program

 #define DDUMP(x)         @

                          ^

/home/klugier/upp/uppsrc/CtrlLib/RichTextView.cpp:162:3: note: in expansion of macro ‘DDUMP’

   DDUMP(p);

   ^

uppsrc/Core/Diag.h:88:26: error: stray ‘@’ in program

 #define DDUMP(x)         @

                          ^

/home/klugier/upp/uppsrc/CtrlLib/RichTextView.cpp:163:3: note: in expansion of macro ‘DDUMP’

   DDUMP(GetTextPoint(p));

   ^
P.S.

Removing DDUMP in "RichTextView.cpp" do the trick.

#5 - 09/08/2014 11:20 AM - Miroslav Fidler

- Status changed from In Progress to Approved

Files

RichTectViewLinkDetectionIssue.png 83.4 KB 09/05/2014 Zbigniew Rebacz
